MEMCPY(3)

NAME
memcpy - copy byte string

LIBRARY
libc

SYNOPSIS
#include <string.h>
void *
memcpy(void *dst, const void *src, size_t len);

DESCRIPTION
The memcpy() function copies len bytes from string src to string dst.

RETURN VALUES
The memcpy() function returns the original value of dst.

SEE ALSO
bcopy(3), memccpy(3), memmove(3), strcpy(3)

STANDARDS
The memcpy() function conforms to ansiC.

BUGS
In this implementation memcpy() is implemented using bcopy(3), and therefore the strings may overlap. On other systems, copying overlapping strings may produce surprises. A simpler solution is to not use memcpy().